<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Journal\ShowFilterJournal;

class ShowFilterJournalPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new ShowFilterJournalView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new ShowFilterJournalViewModel();
    $viewModel->knr = $this->useCaseResponse->knr;
    $viewModel->belegId = $this->useCaseResponse->belegId;
    $viewModel->showJournalZeitraum = $this->useCaseResponse->showJournalZeitraum;
    $viewModel->showJournalBuchungen = $this->useCaseResponse->showJournalBuchungen;
    $viewModel->toolId = $this->useCaseResponse->toolId;

    return $viewModel;
  }
}